Loading...
Searching...
No Matches
FFT2D.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/DATATYPE/regularData2D.h>`
`#include <BALL/MATHS/vector2.h>`
`#include <cmath>`
`#include <complex>`
`#include <fftw3.h>`
`#include <BALL/MATHS/fftwCommon.h>`

Go to the source code of this file.

## Classes

class | BALL::TFFT2D< ComplexTraits >

## Namespaces

namespace | BALL

## Typedefs

typedef TFFT2D< BALL_FFTW_DEFAULT_TRAITS > | BALL::FFT2D

## Functions

template<typename ComplexTraits>
const TRegularData2D< typename TFFT2D< ComplexTraits >::Complex > & | BALL::operator<< (TRegularData2D< typename TFFT2D< ComplexTraits >::Complex > &to, const TFFT2D< ComplexTraits > &from)
template<typename ComplexTraits>
const RegularData2D & | BALL::operator<< (RegularData2D &to, const TFFT2D< ComplexTraits > &from)